{
  name,
  lib,
  pkgs,
  ...
}: let
  extensions =
    [
      #undetectable adblocker
      {id = "gcfcpohokifjldeandkfjoboemihipmb";}

      # ublock origin
      {id = "cjpalhdlnbpafiamejdnhcphjbkeiagm";}

      # # YT ad block
      # {id = "cmedhionkhpnakcndndgjdbohmhepckk";}

      # # Adblock Plus
      # {id = "cfhdojbkjhnklbpkdaibdccddilifddb";}

      # Cookie Notice Blocker
      {id = "odhmfmnoejhihkmfebnolljiibpnednn";}
      # i don't care about cookies
      {id = "fihnjjcciajhdojfnbdddfaoknhalnja";}

      # NopeCHA
      {id = "dknlfmjaanfblgfdfebhijalfmhmjjjo";}

      # h264ify
      {id = "aleakchihdccplidncghkekgioiakgal";}

      # clippy
      # {id = "honbeilkanbghjimjoniipnnehlmhggk"}

      {
        id = "dcpihecpambacapedldabdbpakmachpb";
        updateUrl = "https://raw.githubusercontent.com/iamadamdev/bypass-paywalls-chrome/master/updates.xml";
      }

      # cookie autodelete
      {id = "fhcgjolkccmbidfldomjliifgaodjagh";}

      # unhook
      {id = "khncfooichmfjbepaaaebmommgaepoid";}
    ]
    ++ (lib.lists.optionals ((builtins.match "^steveej.*" name) != null) [
      # Vimium C
      {id = "hfjbmagddngcpeloejdejnfgbamkjaeg";}

      # always right
      {id = "npjpaghfnndnnmjiliibnkmdfgbojokj";}
    ]);
in {
  programs.chromium = {
    enable = true;
    inherit extensions;
  };

  programs.brave = {
    # TODO: enable this on aarch64-linux
    enable =
      true
      && !pkgs.stdenv.targetPlatform.isAarch64;
    inherit extensions;
  };

  programs.browserpass = {browsers = ["chromium" "brave"];};
}
