{
  config,
  lib,
  pkgs,
  ...
}: let
in {
  services.illum.enable = true;

  services.printing = {enable = false;};

  services.spice-vdagentd.enable = true;
  services.qemuGuest.enable = true;

  virtualisation = {
    libvirtd.enable = true;
    virtualbox.host.enable = false;
    docker.enable = true;
  };
}
